Subject: Re: EXCEL, DLL support
From: [email-masked] (Matt Calder)

10 Apr 1997 18:58:36 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
X-Authentication-Warning: tlaloc.stat.colostate.edu: calder owned process doing -bs
Original-To: Eric VanNooten <[email-masked]>
Original-cc: [email-masked]
In-Reply-To: <[email-masked]>
Original-Sender: [email-masked]

Eric,
	In my experience dll's from gnu32 can be loaded into 
other executables but not into other dll's. So, if Excel is
using a dll to load your dll, it will fail. I have found that
the 'minimalist' gnu32 (check cygnus web site), can produce 
dlls that are loadable by other dlls. 
	I will reiterate a previous plea, if anyone knows the
source of this behaviour, do tell. There is no compiler I know
of with the math library of gcc, what a pleasure it would
be able to write dlls with gnu32.

Matt

On Thu, 10 Apr 1997, Eric VanNooten wrote:

> Hi, 
> 
> I am new with gnu-win32, so be patient....
> 
> I am trying to build a DLL to be used in EXCEL. In order to get the hang 
> of it , I used the example for the home page(link relocatable and 
> non-relocatable dll). These examples run fine in a dos box under win95.
> 
> But when I want to use this dll in EXCEL I got an 'Error 48 in Loading DLL 
> " message. The cygwin.dll and fooB.dll are in the local directory, so it 
> isn't that.
> 
> What am I doing wrong ?
> 
> Thanks in advance,
> Erik
> 
> PS.  When the printf statement is removed in foo2.c. I got ld 
> errors(cygwin_except_handler, STATUS_ACCESS_VIOLATION.....).
> PSS. When I add EXETYPE WINDOWS (or other parameters) in the fooB.def 
> file, I got syntax errors in the dlltool.
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".
> 

/*****************************************/
/* Matt Calder, Dept. of Statistics, CSU */
/* http://www.stat.colostate.edu/~calder */
/*****************************************/

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".